package jp.agentec.abook.abv.bl.dto;

import java.util.Date;


/**
 * Marking情報を格納します。
 * @author tauchi
 * @version　4.0.0
 */
public class ContentMarkingDto extends AbstractDto {

	public long contentId;
	public int pageNum;
	public String markingId;
	public String fileName;
	public Date insertDate;
	public Date updateDate; // registerDate
	public String insertDateStr;
	public String updateDateStr;
	
	@Override
	public Object[] getInsertValues() {
		return new Object[]{contentId, pageNum, markingId, fileName, insertDate, updateDate};
	}

	@Override
	public Object[] getUpdateValues() {
		return new Object[]{markingId, fileName, updateDate, contentId, pageNum};
	}

	@Override
	public String[] getKeyValues() {
		return new String[]{""+ contentId, ""+ pageNum};
	}
}
